FREEFOAM-CHANGEDICTIONARY(1)

NAME
freefoam-changeDictionary - Utility to change dictionary entries.

SYNOPSIS

freefoam changeDictionary [-region <name>] [-help] [-srcDoc] [-doc] [-parallel] [-literalRE] [-case <dir>]

DESCRIPTION

Reads dictionaries (fields) and entries to change from a dictionary. E.g. to make the movingWall a fixedValue for p but all other Walls a zeroGradient boundary condition, the system/changeDictionaryDict would contain the following:

    dictionaryReplacement
    {
        p                           // field to change
        {
            boundaryField
            {
                ".*Wall"            // entry to change
                {
                    type            zeroGradient;
                }
                movingWall          // entry to change
                {
                    type            fixedValue;
                    value           uniform 123.45;
                }
            }
        }
    }

OPTIONS

-literalRE
    Do not interpret regular expressions; treat them as any other keyword.

-region <name>
    Only apply to named mesh region.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.